#pragma once


#include "allegro5/allegro.h"
#include "allegro5/allegro_image.h"

#include "libcon.h"

#include <iostream>
#include <fstream>
#include <vector>


#define COLOR_TILE_SIZE 16
#define PALETTE_SIZE 256
#define OUTPUT_SIZE 768


void read_bitmap_into_output(ALLEGRO_BITMAP* bitmap, int start_x, int start_y, std::vector<unsigned char> &output);

bool generate_pal_file(std::string pal_filename, std::vector<unsigned char> &output);